#ifndef SpielStatistikV_H
#define SpielStatistikV_H

#include <Schrift.h>
#include <Bildschirm.h>
#include <KSGNetwork.h>
#include "BilderV.h"

using namespace Framework;

class SpielStatistikV
{
public:
	// nicht constant
	virtual void bereit() = 0;
	virtual void setBilder( BilderV *b ) = 0;
	virtual void setAccountId( int id ) = 0;
	virtual void setRückrufFunktionen( void( *addNachrichtF )( void *, Text *, Text *, Text *, Text *, char, void * ),
									   void( *addChatF )( void *, int ), void( *addFreundF )( void *, int ),
									   void( *accountAnsehenF )( void *, int ), bool( *istFreundF )( void *, int ), void *nachrichtParam ) = 0;
	virtual void setSchrift( Schrift *schrift ) = 0;
	virtual void setBildschirm( Bildschirm *screen ) = 0;
	virtual void setKlients( KSGClient::InformationServerClient *infoc, KSGClient::SpielServerClient *spielc ) = 0;
	virtual void nachricht( int län, char *bytes ) = 0;
	virtual void doMausEreignis( MausEreignis &me ) = 0;
	virtual void doTastaturEreignis( TastaturEreignis &te ) = 0;
	virtual bool tick( double zeit ) = 0;
	virtual void render( Bild &zRObj ) = 0;
	virtual void verlassen() = 0;
	// constant
	virtual int getStatus() const = 0; // 0 = laden, 1 = läuft, 2 = fortsetzen
	// Reference Counting
	virtual SpielStatistikV *getThis() = 0;
	virtual SpielStatistikV *release() = 0;
};

#endif